WordPress.org

Make WordPress Core

Opened 4 years ago

Closed 4 years ago

#36520 closed defect (bug) (fixed)

Update grunt-contrib-uglify NPM dev dependency

Reported by: netweb Owned by:
Milestone: 4.6 Priority: normal
Severity: normal Version:
Component: Build/Test Tools Keywords: has-patch commit
Focuses: Cc:

Description

Via #ticket:35104#comment:21

grunt-contrib-uglify - Changes all minified JS files. Would prefer this happening earlier in a cycle so it gets enough testing.

Attachments (1)

36520.diff (475 bytes) - added by netweb 4 years ago.

Download all attachments as: .zip

Change History (6)

@netweb
4 years ago

#1 @jorbin
4 years ago

In 37212:

Update grunt-contrib-uglify from ~0.10.0 to ~1.0.1

This changes every JS file in WordPress, so we need to test everything.

Props netweb.
See #36520.

#2 follow-up: @jorbin
4 years ago

Keeping this open while we determine if there is any fallout.

#3 in reply to: ↑ 2 @netweb
4 years ago

Replying to jorbin:

Keeping this open while we determine if there is any fallout.

Good idea ???????? <- Emoji Thumbs Up ;)

Last edited 4 years ago by netweb (previous) (diff)

#4 @ocean90
4 years ago

The related build changeset was https://build.trac.wordpress.org/changeset/37178.

No "fallouts" noticed, closing as fixed for now.

#5 @ocean90
4 years ago

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.